/*
 * Copyright (C) 2019  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef LOG_ENTRY_IDENT_HH_2608E71538B24FF888E3C14155DDD804
#define LOG_ENTRY_IDENT_HH_2608E71538B24FF888E3C14155DDD804

#include <boost/date_time/posix_time/posix_time.hpp>

#include <string>

namespace Fred {
namespace Logger {

struct LogEntryIdent
{
    unsigned long long id;
    boost::posix_time::ptime time_begin;
    std::string service_handle;
    bool monitoring_status;
};

} // namespace Fred::Logger
} // namespace Fred

#endif
